%define upstream_name    Safe
%define upstream_version 2.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
BuildArch:  noarch

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Restrict eval'd code to safe subset of ops
Source0:    http://www.cpan.org/modules/by-module/Safe/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The Safe extension module allows the creation of compartments in which perl
code can be evaluated. Each compartment has

* a new namespace

  The "root" of the namespace (i.e. "main::") is changed to a different
  package and code evaluated in the compartment cannot refer to variables
  outside this namespace, even with run-time glob lookups and other tricks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.350.0-7.mga6
+ Revision: 1033003
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.350.0-6.mga6
+ Revision: 971499
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 2.350.0-5.mga6
+ Revision: 891769
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.350.0-4.mga5
+ Revision: 741571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.350.0-3.mga5
+ Revision: 686164
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.350.0-2.mga4
+ Revision: 525863
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 2.350.0-1.mga4
+ Revision: 434791
- update to 2.35

* Wed May 29 2013 tv <tv> 2.330.0-7.mga4
+ Revision: 432725
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 2.330.0-6.mga3
+ Revision: 405539
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.330.0-5.mga3
+ Revision: 372512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 2.330.0-4.mga3
+ Revision: 315560
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.330.0-3.mga3
+ Revision: 294860
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.330.0-2.mga3
+ Revision: 284601
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 2.330.0-1.mga3
+ Revision: 254142
- update to 2.33

* Wed Dec 07 2011 kharec <kharec> 2.300.0-1.mga2
+ Revision: 178221
- update to 2.30

* Fri Feb 18 2011 jquelin <jquelin> 2.290.0-3.mga1
+ Revision: 53657
- rebuild

* Tue Jan 18 2011 blino <blino> 2.290.0-2.mga1
+ Revision: 23271
- rebuild for new perl

* Sun Jan 09 2011 jquelin <jquelin> 2.290.0-1.mga1
+ Revision: 4290
- imported package perl-Safe

